/// <reference types="webpack" />
import wp = require("webpack");
export interface Option {
    defaultLanguage: string;
    /**
     * languages to emit
     */
    languages: string[];
    defaultNamespace?: string;
    namespaces?: string[];
    /**
     * Scanning function name
     *
     * @default "__"
     */
    functionName?: string;
    resourcePath: string;
    /**
     * save missing translations to...
     */
    pathToSaveMissing: string;
    /**
     * change emit path
     * if this value is not set, emit to resourcePath
     */
    outPath?: string;
}
export interface InternalOption extends Option {
    defaultNamespace: string;
    namespaces: string[];
    outPath: string;
}
export default class I18nextPlugin {
    protected compilation: wp.Compilation;
    protected option: InternalOption;
    protected context: string;
    protected missingKeys: {
        [language: string]: {
            [namespace: string]: string[];
        };
    };
    constructor(option: Option);
    apply(compiler: wp.Compiler): void;
    protected onEmit(compilation: wp.Compilation, callback: (err?: Error) => void): void;
    protected onAfterEmit(compilation: wp.Compilation, callback: (err?: Error) => void): void;
    protected onTranslateFunctionCall(expr: any): void;
    protected onKeyMissing(lng: string, ns: string, key: string, __: string): void;
    protected warningOnCompilation(msg: string): void;
}
